# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'objc2swift_assistant/version'

Gem::Specification.new do |spec|
  spec.name          = "objc2swift_assistant"
  spec.version       = Objc2swiftAssistant::VERSION
  spec.authors       = ["Chris Kornher"]
  spec.email         = ["ckornher@mac.com"]

  spec.summary       = %q{Assists in the conversion of Objective-C code to Swift.}
  spec.description   = %q{ A command line tool and library to generate Swift skeletons from Objective-C code. This tool can be used to "jumpstart" porting from Objective-C to Swift.
                          This tool does not attempt to transliterate from Objective-C to Swift. Instead, the original code is included in comments within the generated Swift skeletons.
                          Swift Version 1.2 syntax is generated at this time. The simple Objective-C pattern matcher is used to capture the constructs that will be ported to Swift.
                          This technique can be confused by complex constructs, but has the advantage that the source code does not have to compile. }
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.required_ruby_version = '>= 2.0.0'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables = ["objc2swift_assistant"]

  spec.require_paths = ["lib"]

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  end

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "swift_generator", "~> 0.3.0"
  spec.add_runtime_dependency "commander", "~> 4.0"
  spec.add_runtime_dependency "json", "~> 1.8"
end
